// CAMReminderDoc.h -- document class
// Created 7/2/97 3:57 PM by AppMaker

#pragma once

#include <LSingleDoc.h>

class	CAMReminderData;
class	CMainWindow;

//----------
class	CAMReminderDoc : public LSingleDoc {
public:
						CAMReminderDoc	(LCommander	*inSuper);
	virtual				~CAMReminderDoc();

	virtual void		newFile();
	virtual void		openFile	(FSSpec		*inFileSpec);

	virtual void		MakeWindows();

	virtual Boolean		IsModified();

	virtual void		DoAESave	(FSSpec		&inFileSpec,
									 OSType		inFileType);
	virtual void		DoSave();
	virtual void		DoRevert();
	virtual void		DoPrint();

	virtual Boolean		ObeyCommand			(CommandT	inCommand,
											 void		*ioParam = nil);
	virtual void		FindCommandStatus	(CommandT	inCommand,
											 Boolean	&outEnabled,
											 Boolean	&outUsesMark,
											 Char16		&outMark,
											 Str255		outName);

protected:

	virtual void		NameNewDoc();

protected:
	CAMReminderData*		mData;

	CMainWindow*	mMainWindow;
};
